<?php

namespace Drupal\expense_tracker;

use Drupal\views\EntityViewsData;

/**
 * Render controller for et_transactions.
 */
class EtTransactionViewData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['et_transaction_field_data']['votes'] = array(
      'title' => 'Total votes',
      'help' => 'Displays the total number of votes.',
      'real field' => 'id',
      'field' => array(
        'id' => 'et_transaction_totalvotes',
      ),
    );

    $data['et_transaction_field_data']['status_with_runtime'] = array(
      'title' => 'Active with runtime',
      'help' => 'Displays the status with runtime.',
      'real field' => 'id',
      'field' => array(
        'id' => 'et_transaction_status',
      ),
    );

    return $data;
  }

}
